Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6571 - shell mode problems, one typeface problem
Summary: shell mode problems, one typeface problem
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-31 15:31 UTC by hajic
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 15:09:57 UTC


Attachments (Terms of Use)

Description hajic 1999-10-31 15:31:30 UTC
The first is a bug (I think), the other three problems are
just annoying since I have to do something (as everybody I
suppose).

Environment: RH 6.1, emacs 20.4, tchs 6.08, all
out-of-the-box:

1) (bug) M-x dirs copies the command name it sends to the
shell ('dirs') to the buffer thus making the emacs' internal
'cd' command wanting to cd to (in general non-existent)
directory 'dirs' instead to the correct one, therefore
saying "couldn't cd" in the minibuffer. Yes I did disable
echo and ^M as suggested in the info & FAQ.

2) (annoying default setting) disabling ^M: could this be
added to the init? I mean

(add-hook 'comint-output-filter-functions
                    'comint-strip-ctrl-m)

3) (annoying default setting) not echoing non-substituted
commands: could this be added to the defaults?

(set-variable 'comint-process-echoes 'T)

4) (annoying) default typeface: it appears it has no idea
what the -fg and -bg colors are from the emacs' command
line, as it sets the dafault typeface colors to black &
white. Therefore one has to do color setting such as
(custom-set-variables)
(custom-set-faces
 '(default ((t (:foreground "white" :background
"firebrick")))))

(if one has set the -fg and -bg colors to firebrick and
white).

-- Jan Hajic
hajic@ufal.mff.cuni.cz

Comment 1 Cristian Gafton 2000-02-17 15:09:59 UTC
I find most of these annoying as well, but we should persuade FSF to change
these defaults.

We're getting nasty mail from FSF folks every time we change the defaukts on
emacs, so it might be better to take this feedback directly to them.


Note You need to log in before you can comment on or make changes to this bug.